Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232740 - a way to control swappiness on boot
Summary: a way to control swappiness on boot
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 23:28 UTC by a thing
Modified: 2014-03-17 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-17 02:23:13 UTC


Attachments (Terms of Use)

Description a thing 2007-03-16 23:28:20 UTC
There should be a simple way to control what swappiness to use, since it is
reset at every reboot.

Proposed solution: just put the following in /etc/rc.d/rc.sysinit :
if [ -f /etc/sysconfig/swappiness ]; then
	cp /etc/sysconfig/swappines /proc/sys/vm/
fi

Comment 1 Bill Nottingham 2007-03-17 02:23:13 UTC
/etc/sysctl.conf.



Note You need to log in before you can comment on or make changes to this bug.